[sip-comm-dev] Error - no ComponentUI class for SIPCommTabbedPane


#1

All,

this seems to be a Linux specific error message because I did not
see it on Windows (yet). While testing SIP account modification
the console displays the error message. However, the tabbed pane
to edit/modify the SIP account is shown and I can work just fine.

However, "failed" message usually signal some other problem. Can
somebody check this? It's also a fairly new message.

Regards,
Werner

The console log:

wd@linux-black:~/devhome/sip-communicator> ant run
Buildfile: build.xml

-deploy-os-specific-bundles:

run:
      [java]
      [java] Welcome to Felix.
      [java] =================
      [java]
      [java] 17:43:33.073 INFO: impl.protocol.zeroconf.ZeroconfActivator.start().74 Zeroconf protocol implementation [STARTED].
      [java] UIDefaults.getUI() failed: no ComponentUI class for: net.java.sip.communicator.util.swing.SIPCommTabbedPane[,0,0,0x0,invalid,alignmentX=0.0,alignmentY=0.0,border=,flags=0,maximumSize=,minimumSize=,preferredSize=,haveRegistered=false,tabPlacement=TOP]
      [java] java.lang.Error
      [java] at javax.swing.UIDefaults.getUIError(UIDefaults.java:711)
      [java] at javax.swing.MultiUIDefaults.getUIError(MultiUIDefaults.java:117)
      [java] at javax.swing.UIDefaults.getUI(UIDefaults.java:741)
      [java] at javax.swing.UIManager.getUI(UIManager.java:1012)
      [java] at javax.swing.JTabbedPane.updateUI(JTabbedPane.java:230)
      [java] at javax.swing.JTabbedPane.<init>(JTabbedPane.java:189)
      [java] at javax.swing.JTabbedPane.<init>(JTabbedPane.java:154)
      [java] at net.java.sip.communicator.util.swing.SIPCommTabbedPane.<init>(SIPCommTabbedPane.java:48)
      [java] at net.java.sip.communicator.plugin.sipaccregwizz.FirstWizardPage.<init>(FirstWizardPage.java:162)
      [java] at net.java.sip.communicator.plugin.sipaccregwizz.SIPAccountRegistrationWizard.getPages(SIPAccountRegistrationWizard.java:103)
      [java] at net.java.sip.communicator.impl.gui.main.account.AccountRegWizardContainerImpl.setCurrentWizard(AccountRegWizardContainerImpl.java:259)
      [java] at net.java.sip.communicator.impl.gui.main.account.AccountRegWizardContainerImpl.modifyAccount(AccountRegWizardContainerImpl.java:151)
      [java] at net.java.sip.communicator.impl.gui.main.account.AccountsConfigurationPanel$AccountPanel.actionPerformed(AccountsConfigurationPanel.java:371)
      [java] at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
      [java] at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
      [java] at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
      [java] at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
      [java] at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
      [java] at java.awt.Component.processMouseEvent(Component.java:6041)
      [java] at javax.swing.JComponent.processMouseEvent(JComponent.java:3265)
      [java] at java.awt.Component.processEvent(Component.java:5806)
      [java] at java.awt.Container.processEvent(Container.java:2058)
      [java] at java.awt.Component.dispatchEventImpl(Component.java:4413)
      [java] at java.awt.Container.dispatchEventImpl(Container.java:2116)
      [java] at java.awt.Component.dispatchEvent(Component.java:4243)
      [java] at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4322)
      [java] at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3986)
      [java] at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3916)
      [java] at java.awt.Container.dispatchEventImpl(Container.java:2102)
      [java] at java.awt.Window.dispatchEventImpl(Window.java:2440)
      [java] at java.awt.Component.dispatchEvent(Component.java:4243)
      [java] at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
      [java] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
      [java] at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
      [java] at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
      [java] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
      [java] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
      [java] at java.awt.EventDispatchThread.run(EventDispatchThread.java:121

···

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#2

Hi Werner,

···

On Thu, Dec 11, 2008 at 05:58:20PM +0100, Werner Dittmann wrote:

However, "failed" message usually signal some other problem. Can
somebody check this? It's also a fairly new message.

I couldn't reproduce that. I just get the "usual" GTK errors.

$ java -version
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Server VM (build 11.0-b16, mixed mode)

Cheers,

--
Sébastien Mazy

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#3

Sébastien,

my system runs with KDE, Java version is

wd@linux-black:~> java -version
java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode)

but I think this shouldn't make a difference :slight_smile: . Also I haven't
seen this message before the last two or three updates from SVN

Regards,
Werner

Sébastien Mazy schrieb:

···

Hi Werner,

On Thu, Dec 11, 2008 at 05:58:20PM +0100, Werner Dittmann wrote:

However, "failed" message usually signal some other problem. Can
somebody check this? It's also a fairly new message.

I couldn't reproduce that. I just get the "usual" GTK errors.

$ java -version
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Server VM (build 11.0-b16, mixed mode)

Cheers,

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#4

SC on GNOME runs with the system UI while on KDE it runs with the custom SC UI.

As I was the last to move the related classes in different packages and bundles, I'll look into it as soon as possible.

Best regards,
Lubo

···

On 12/11/2008 8:06 PM, Werner Dittmann wrote:

Sébastien,

my system runs with KDE, Java version is

wd@linux-black:~> java -version
java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode)

but I think this shouldn't make a difference :slight_smile: . Also I haven't
seen this message before the last two or three updates from SVN

Regards,
Werner

Sébastien Mazy schrieb:

Hi Werner,

On Thu, Dec 11, 2008 at 05:58:20PM +0100, Werner Dittmann wrote:

However, "failed" message usually signal some other problem. Can
somebody check this? It's also a fairly new message.

I couldn't reproduce that. I just get the "usual" GTK errors.

$ java -version
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Server VM (build 11.0-b16, mixed mode)

Cheers,

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#5

Werner,

Thank you for reporting the issue! I believe r4838 fixes it.

Best regards,
Lubo

···

On 12/11/2008 9:17 PM, Lubomir Marinov wrote:

SC on GNOME runs with the system UI while on KDE it runs with the custom
SC UI.

As I was the last to move the related classes in different packages and
bundles, I'll look into it as soon as possible.

Best regards,
Lubo

On 12/11/2008 8:06 PM, Werner Dittmann wrote:

Sébastien,

my system runs with KDE, Java version is

wd@linux-black:~> java -version
java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode)

but I think this shouldn't make a difference :slight_smile: . Also I haven't
seen this message before the last two or three updates from SVN

Regards,
Werner

Sébastien Mazy schrieb:

Hi Werner,

On Thu, Dec 11, 2008 at 05:58:20PM +0100, Werner Dittmann wrote:

However, "failed" message usually signal some other problem. Can
somebody check this? It's also a fairly new message.

I couldn't reproduce that. I just get the "usual" GTK errors.

$ java -version
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Server VM (build 11.0-b16, mixed mode)

Cheers,

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#6

Lubo,

after a first quick check this indeed seems ok. No such nasty
error messages anymore. Thanks.

Regards,
Werner

Lubomir Marinov schrieb:

···

Werner,

Thank you for reporting the issue! I believe r4838 fixes it.

Best regards,
Lubo

On 12/11/2008 9:17 PM, Lubomir Marinov wrote:

SC on GNOME runs with the system UI while on KDE it runs with the custom
SC UI.

As I was the last to move the related classes in different packages and
bundles, I'll look into it as soon as possible.

Best regards,
Lubo

On 12/11/2008 8:06 PM, Werner Dittmann wrote:

Sébastien,

my system runs with KDE, Java version is

wd@linux-black:~> java -version
java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode)

but I think this shouldn't make a difference :slight_smile: . Also I haven't
seen this message before the last two or three updates from SVN

Regards,
Werner

Sébastien Mazy schrieb:

Hi Werner,

On Thu, Dec 11, 2008 at 05:58:20PM +0100, Werner Dittmann wrote:

However, "failed" message usually signal some other problem. Can
somebody check this? It's also a fairly new message.

I couldn't reproduce that. I just get the "usual" GTK errors.

$ java -version
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Server VM (build 11.0-b16, mixed mode)

Cheers,

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net